## golang-github-juju-collections 1.0.1

=== Makefile ===
PROJECT := github.com/juju/collections

.PHONY: check-licence check-go check

check: check-licence check-go
	go test $(PROJECT)/...

check-licence:
	@(fgrep -rl "Licensed under the LGPLv3" .;\
		fgrep -rl "MACHINE GENERATED BY THE COMMAND ABOVE; DO NOT EDIT" .;\
		find . -name "*.go") | sed -e 's,\./,,' | sort | uniq -u | \
		xargs -I {} echo FAIL: licence missed: {}

check-go:
	$(eval GOFMT := $(strip $(shell gofmt -l .| sed -e "s/^/ /g")))
	@(if [ x$(GOFMT) != x"" ]; then \
		echo go fmt is sad: $(GOFMT); \
		exit 1; \
	fi )
	@(go vet -all -composites=false -copylocks=false $(PROJECT)/...)

## golang-github-juju-collections 0.0~git20180717.9be91dc

=== debian/changelog ===
golang-github-juju-collections (0.0~git20180717.9be91dc-1) unstable; urgency=medium

  * Initial release (Closes: #905075)

 -- Shengjing Zhu <i@zhsj.me>  Tue, 31 Jul 2018 20:28:27 +0800

=== debian/control ===
Source: golang-github-juju-collections
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <i@zhsj.me>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-juju-testing-dev,
               golang-gopkg-check.v1-dev
Standards-Version: 4.1.5
Homepage: https://github.com/juju/collections
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-collections
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-collections.git
XS-Go-Import-Path: github.com/juju/collections
Testsuite: autopkgtest-pkg-go

Package: golang-github-juju-collections-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-juju-testing-dev,
         golang-gopkg-check.v1-dev
Description: deque and set implementations
 deque and set implementations in Go.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.0~git%cd" \
https://github.com/juju/collections \
HEAD

## golang-github-juju-collections 0.0~git20200605.0d0ec82

=== debian/changelog ===
golang-github-juju-collections (0.0~git20200605.0d0ec82-2) unstable; urgency=medium

  * Source only upload for testing migration

 -- Mathias Gibbens <mathias@calenhad.com>  Thu, 25 Nov 2021 11:20:49 +0100

golang-github-juju-collections (0.0~git20200605.0d0ec82-1) unstable; urgency=medium

  * Reintroduce package to the archive (Closes: #998652)
  * New upstream snapshot
  * Add myself to uploaders, and remove Shengjing Zhu
    - Thanks for your work!
  * d/control:
    - Update Section to golang
    - Use debhelper-compat
    - Bump Standards-Version (no changes needed)
    - Add Rules-Requires-Root: no
    - Add Multi-Arch: foreign
  * d/copyright:
    - Update years
  * Refresh d/rules
  * Update d/watch
  * Add d/upstream/metadata
  * Add d/gbp.conf
  * Add d/gitlab-ci.yml

 -- Mathias Gibbens <mathias@calenhad.com>  Wed, 10 Nov 2021 08:25:06 +0100

=== debian/control ===
Source: golang-github-juju-collections
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <mathias@calenhad.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-juju-testing-dev,
               golang-gopkg-check.v1-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-collections
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-collections.git
Homepage: https://github.com/juju/collections
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/juju/collections

Package: golang-github-juju-collections-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         golang-github-juju-testing-dev,
         golang-gopkg-check.v1-dev
Description: Deque and set implementations (library)
 Set and deque implementations for Go.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/juju/collections.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%!((string=golang-github-juju-collections)?:.*?)?v?(\d[\d.]*)\.tar\.gz%!@(MISSING)PACKAGE@-$1.tar.gz%!,(MISSING)\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
#  https://github.com/juju/collections/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-juju-collections 0.0~git20220203.febd7ca

=== debian/changelog ===
golang-github-juju-collections (0.0~git20220203.febd7ca-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Mathias Gibbens ]
  * New upstream snapshot
  * Update years in d/copyright

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 06 May 2022 01:35:10 +0000

## golang-github-juju-collections 1.0.0

=== debian/changelog ===
golang-github-juju-collections (1.0.0-1) unstable; urgency=medium

  * First upstream release
    - Update d/watch to track releases
  * Update Standards-Version in d/control (no changes needed)

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 12 Aug 2022 13:09:15 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                golang-any,
                golang-github-juju-testing-dev,
                golang-gopkg-check.v1-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-collections
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-collections.git
 Homepage: https://github.com/juju/collections

## golang-github-juju-collections 1.0.1

=== debian/changelog ===
golang-github-juju-collections (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * Update my email address

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 03 Dec 2022 14:40:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-github-juju-collections
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Mathias Gibbens <mathias@calenhad.com>
+Uploaders: Mathias Gibbens <gibmat@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional

## golang-github-juju-collections 1.0.4

=== debian/changelog ===
golang-github-juju-collections (1.0.4-2) unstable; urgency=medium

  * Team upload
  * Add patch to fix flaky test in transform example

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 24 Jul 2023 19:26:04 +0800

golang-github-juju-collections (1.0.4-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Build-Depends and Depends
    - Update Standards-Version to 4.6.2 (no changes needed)
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Jun 2023 20:09:27 +0000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
                dh-golang,
                golang-any,
                golang-github-juju-testing-dev,
+               golang-golang-x-exp-dev,
                golang-gopkg-check.v1-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-collections
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-collections.git
 Homepage: https://github.com/juju/collections
@@ -21,6 +22,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          golang-github-juju-testing-dev,
+         golang-golang-x-exp-dev,
          golang-gopkg-check.v1-dev
 Description: Deque and set implementations (library)
  Set and deque implementations for Go.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/juju/collections/tags .*/v?(\d\S*)\.tar\.gz debian
